<form *ngIf="form" [formGroup]="form">
  <div class="form-floating mb-3">
    <select name="type" formControlName="type" class="form-select">
      <option *ngFor="let category of categories" [value]="category.type">{{category.label}}</option>
    </select>
    <label for="type">Categorie</label>
  </div>
  <div class="form-floating mb-3">
    <input name="name" formControlName="name" type="text" class="form-control"
      [ngClass]="{'is-invalid':name?.errors && name?.touched,'is-valid':!name?.errors && name?.touched}" id="name"
      aria-describedby="validationName">
    <label for="name" class="form-label">Nom<span class="text-danger"> *</span></label>
    <div *ngIf="name?.errors?.['required']" id="validationName" class="invalid-feedback">
      Ce champ est requis
    </div>
    <div *ngIf="name?.errors?.['minlength']" id="validationName" class="invalid-feedback">
      Doit contenir au moins 3 caractères
    </div>
  </div>
  <div class="form-floating mb-3">
    <input name="brand" formControlName="brand" type="text" class="form-control"
      [ngClass]="{'is-invalid':brand?.errors && brand?.touched,'is-valid':!brand?.errors && brand?.touched}" id="brand"
      aria-describedby="validationBrand">
    <label for="brand" class="form-label">Fabricant<span class="text-danger"> *</span></label>
    <div *ngIf="brand?.errors?.['required']" id="validationBrand" class="invalid-feedback">
      Ce champ est requis
    </div>
    <div *ngIf="brand?.errors?.['minlength']" id="validationBrand" class="invalid-feedback">
      Le nom doit contenir au moins 3 caractères
    </div>
  </div>
</form>
<p class="text-muted my-0"><span class="text-danger">*</span> champs obligatoires</p>